Bug 52642 - kontrol-panel does not handle Exec field in .desktop file
Summary: kontrol-panel does not handle Exec field in .desktop file
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kdeadmin   
(Show other bugs)
Version: roswell
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-27 16:15 UTC by Jonathan Blandford
Modified: 2013-04-02 04:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-27 20:49:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Blandford 2001-08-27 16:15:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010809

Description of problem:
kontrol-panel doesn't check the users path (or even commonly checked
locations like /usr/bin etc.) for executables, and instead assumes that
there is an absolute path.  This means that apps using it must hardcode
their path into the desktop file, which is both not part of the spec, and a
bit of a pain in the non-controlled sense.  As a result, hwbrowser does not
work in the kontrol-panel

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Run a program like hwbrowser

Additional info:

Comment 1 Bernhard Rosenkraenzer 2001-08-28 13:51:03 UTC
Fixed in 2.2-6



Note You need to log in before you can comment on or make changes to this bug.